## CajaMenu CajaMenu — Menu descriptor object |

## Functions

CajaMenu * | caja_menu_new ()
void | caja_menu_append_item ()
GList * | caja_menu_get_items ()
void | caja_menu_item_list_free ()

## Types and Values

| CajaMenuPrivate
struct | CajaMenu

## Object Hierarchy

        GObject
        ╰── CajaMenu

## Includes

    #include <libcaja-extension/caja-menu.h>

## Description

CajaMenu is an object that describes a submenu in a file manager menu. Extensions can provide CajaMenu objects by attaching them to CajaMenuItem objects, using `caja_menu_item_set_submenu()`.

## Functions

### caja_menu_new ()

    CajaMenu *
    caja_menu_new (void);

### caja_menu_append_item ()

    void
    caja_menu_append_item (CajaMenu *menu,
                           CajaMenuItem *item);

### caja_menu_get_items ()

    GList *
    caja_menu_get_items (CajaMenu *menu);

#### Parameters

menu | a CajaMenu |

#### Returns

the provided CajaMenuItem list.

[element-type CajaMenuItem][transfer full]

### caja_menu_item_list_free ()

    void
    caja_menu_item_list_free (GList *item_list);

#### Parameters

item_list | a list of CajaMenuItem. | [element-type CajaMenuItem]

## Types and Values

### CajaMenuPrivate

    typedef struct _CajaMenuPrivate CajaMenuPrivate;

### struct CajaMenu

    struct CajaMenu;